body {
  margin: 0;
  padding: 0;
  background: url("assets/fon2.png") no-repeat center center fixed;
  background-size: cover;
  font-family: Arial, sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  overflow: hidden;
}

body::before {
  content: "";
  position: fixed;
  inset: 0;
  background: url("assets/fon2.png") no-repeat center center fixed;
  background-size: cover;

  filter: blur(10px);     
  transform: scale(1.1); 

  z-index: -1;
}


#overlay {
  position: absolute;
  z-index: 10;
  text-align: center;
  width: 100%;
  color: #fff;
  text-shadow: 0 0 8px #000000;
}

#menu, #gameOver {
  position: absolute;
  top: 35%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: rgba(0, 0, 0, 0.75);
  padding: 30px 40px;
  border-radius: 15px;
  box-shadow: 0 0 15px #ffffff;
  text-align: center;
  z-index: 20;
}

#menu h1, #gameOver h2 {
  margin: 0 0 10px 0;
  font-size: 32px;
  color: white;
}

#gameOver p {
  margin: 10px 0;
  font-size: 20px;
  color: #ffffff;
}

button {
  padding: 10px 25px;
  font-size: 18px;
  background-color: #ffffff;
  border: none;
  cursor: pointer;
  border-radius: 8px;
  margin-top: 15px;
  transition: background 0.2s;
}

button:hover {
  background-color: #ffffff;
}

#gameCanvas {
  border: 3px solid #ffffff;
  display: none;
  background: url("assets/fon2.png") no-repeat center center;
  background-size: cover;

  box-shadow: inset 0 0 0 9999px rgba(0,0,0,0.35);
}

#gameCanvas {
  border: 3px solid #ffffff;
  display: none;
  background: url("assets/fon2.png") no-repeat center center;
  background-size: cover;
}

#scoreDisplay {
  position: absolute;
  top: 15px;
  left: 50%;
  transform: translateX(-50%);
  color: #ffffff;
  font-size: 22px;
  font-weight: bold;
  display: none;
  z-index: 5;
  text-shadow: 0 0 5px #000;
}
